Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 499592 - sci-geosciences/osm-gps-map: bump to 1.1.0, migrate to gtk3 and python3
Summary: sci-geosciences/osm-gps-map: bump to 1.1.0, migrate to gtk3 and python3
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 6 votes (vote)
Assignee: Sci-geo Project
URL: https://github.com/nzjrs/osm-gps-map/...
Whiteboard:
Keywords:
Depends on:
Blocks: 464954 567556 592882 594854
  Show dependency tree
 
Reported: 2014-01-28 13:57 UTC by Nikoli
Modified: 2016-11-16 09:09 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild for osm-gps-map-1.0.2 (osm-gps-map-1.0.2.ebuild,1.07 KB, text/plain)
2014-11-16 15:05 UTC, Chris Mayo
Details
osm-gps-map-1.1.0.ebuild (osm-gps-map-1.1.0.ebuild,980 bytes, text/plain)
2015-12-07 08:54 UTC, Marek Szuba
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikoli 2014-01-28 13:57:51 UTC
1.0.1 was 7 released months ago.

It is using gobject-introspection and gtk3 now:
https://github.com/nzjrs/osm-gps-map/commit/0b760b8574e9d169014af3d3d87a45118cc17bf4

P.S. 'Assignee: bmangentoo@gmail.com did not match anything'
Comment 1 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2014-03-21 16:29:40 UTC
(In reply to Nikoli from comment #0)
> P.S. 'Assignee: bmangentoo@gmail.com did not match anything'

Thanks, updated remaining metadata.xml files.
Comment 2 Chris Mayo 2014-11-16 15:05:59 UTC
Created attachment 389496 [details]
ebuild for osm-gps-map-1.0.2

ebuild developed from 0.7.3 version that installs version 1.0.2 for me.

Some notes:
- could be slotted, from 1.0 release notes:
"It can be parallel installed with the old 0.7.3 (Gtk+-2 based) release."
https://groups.google.com/forum/#!topic/osm-gps-map/vi8xXAsnS9o
- introspection is not optional as far as I can see, without hacking, any point keeping the USE flag?
Comment 3 Tom Samstag 2015-12-07 07:38:53 UTC
The attached ebuild worked for me to install sci-geosciences/osm-gps-map-1.0.2.

This should be marked as a blocker for #371324 since the version bump of gramps requires >=sci-geosciences/osm-gps-map-1.0.

Is there anything else preventing this from being pushed to portage?
Comment 4 Marek Szuba archtester gentoo-dev 2015-12-07 08:54:01 UTC
Created attachment 418706 [details]
osm-gps-map-1.1.0.ebuild

Modified the ebuild slightly so that it works with osm-gps-map-1.1.0, which no longer requires any patching. On a different note, this bug also blocks #567556.
Comment 5 Wolfgang Goetz 2016-01-04 15:18:48 UTC
(In reply to Marek Szuba from comment #4)
> Created attachment 418706 [details]
> osm-gps-map-1.1.0.ebuild
> 
> Modified the ebuild slightly so that it works with osm-gps-map-1.1.0, which
> no longer requires any patching. On a different note, this bug also blocks
> #567556.

indeed, vote!  ok with media-gfx/darktable-9999
Comment 6 Aaron Bauman gentoo-dev Security 2016-02-06 10:06:20 UTC
dropping package and reassign to proxy-maint
Comment 7 Sam Jorna (wraeth) gentoo-dev 2016-03-16 03:49:24 UTC
I will have a look and run some tests on attachment 418706 [details]. In the meantime, are either Chris or Marek interested in proxy-maintaining this package through the Proxy Maintainers[0] project?

0: https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
Comment 8 Markus Meier gentoo-dev 2016-03-16 17:18:52 UTC
FYI I have an ebuild in my overlay as well. Apart from bumping it to 1.1.0 the only remaining issue from my side is the file collision from the introspection between 0 and 1 version. (I've slotted the 0 and 1 versions)

https://gitweb.gentoo.org/dev/maekke.git/tree/sci-geosciences/osm-gps-map
Comment 9 Sam Jorna (wraeth) gentoo-dev 2016-03-16 23:15:37 UTC
My testing of attachment 418706 [details] went fine, though there are a couple of changes that would be required before it could be added to the tree.

maekke, if you're wanting to take maintainership, then let us know; or alternatively if one of the users who have contributed here are interested in proxy-maintaining, you could become a supervising developer if you have the time or inclination.

Otherwise they can still maintain it, if interested, through proxy-maint.
Comment 10 Marek Szuba archtester gentoo-dev 2016-05-27 09:54:01 UTC
Given nobody else has stepped up yet, I'm willing to proxy-maint this package.
Comment 11 Marek Szuba archtester gentoo-dev 2016-08-10 20:56:27 UTC
Okay, officially taking over. My idea on how to proceed is as follows:
 - move the 0.7.3 ebuild to slot 2 (as in, gtk2) - there are only two packages in Portage which depend on it and both have newer versions which either need 1.0+ (gramps) or don't need it any more (subsurface), however maybe there are still people out there who need this version for something;
 - update the 1.1.0 ebuild to EAPI 6, clean it up further and commit in slot 0.
Let me know if you have any comments.
Comment 12 Marek Szuba archtester gentoo-dev 2016-08-12 10:24:09 UTC
commit f84d5f38689d291273eab2a3d735f07711eecde9
Author: Marek Szuba
Date:   Thu Aug 11 00:25:44 2016 +0200

    sci-geosciences/osm-gps-map: add ebuild for version 1.1.0
Comment 13 Marek Szuba archtester gentoo-dev 2016-08-15 07:51:07 UTC
...or not. Regardless of what upstream said, the two versions cannot be installed in parallel at this point - there are file collisions in documentation and introspection. The former is simple enough, if not exactly elegant, to work around; the latter might require an upstream decision regarding how the 0.7.3 file should be renamed (in principle it could be worked around by forbidding USE=introspection on 0.7.3 but that would restrict functionality of that version).

There is now an upstream bug regarding the matter, hopefully it will be addressed soon.

PS. Turns out it was not necessary for me to take ownership of this after all because the package got quietly assigned to the sci-geosciences project, it's just that the bug itself was still assigned to proxy-maint.
Comment 14 Amy Liffey gentoo-dev 2016-08-16 15:59:19 UTC
(In reply to Marek Szuba from comment #13)
> ...or not. Regardless of what upstream said, the two versions cannot be
> installed in parallel at this point - there are file collisions in
> documentation and introspection. The former is simple enough, if not exactly
> elegant, to work around; the latter might require an upstream decision
> regarding how the 0.7.3 file should be renamed (in principle it could be
> worked around by forbidding USE=introspection on 0.7.3 but that would
> restrict functionality of that version).
> 
> There is now an upstream bug regarding the matter, hopefully it will be
> addressed soon.
> 
> PS. Turns out it was not necessary for me to take ownership of this after
> all because the package got quietly assigned to the sci-geosciences project,
> it's just that the bug itself was still assigned to proxy-maint.

Geosciences would appreciate your help if you would ask ;) Wanna join us?
Comment 15 Marek Szuba archtester gentoo-dev 2016-08-18 12:33:17 UTC
Probably not, geosciences aren't really my cup of tea... That said, given I have already worked on this particular issue for a while I would be interested in seeing it through to successful resolution. On which note, we should probably take some time to discuss (on IRC?) what exactly to do with the old version.
Comment 16 Marek Szuba archtester gentoo-dev 2016-11-16 09:09:49 UTC
commit b00ff826d23fa05189852247f35d29967a3ac77c
Author: Marek Szuba
Date:   Sun Nov 13 21:50:19 2016 +0000

sci-geosciences/osm-gps-map: version bump to 1.1.0